Get a snoozed contact by LinkedIn username
curl --request GET \
--url https://client-api.salesfinity.co/v1/snoozed-contacts/by-linkedin/{username} \
--header 'x-api-key: <api-key>'import requests
url = "https://client-api.salesfinity.co/v1/snoozed-contacts/by-linkedin/{username}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://client-api.salesfinity.co/v1/snoozed-contacts/by-linkedin/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"team": "<string>",
"phone_number": "<string>",
"snooze_until": "2023-11-07T05:31:56Z",
"user": {
"_id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"contact_list": "<string>",
"linkedin_username": "<string>",
"external_contact_id": "<string>",
"email": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Forbidden resource",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Forbidden resource",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Too many requests",
"error": "Too Many Requests",
"statusCode": 429
}{
"message": "Internal server error",
"error": "Internal Server Error",
"statusCode": 500
}Snoozed Contacts
Get Snoozed Contact by LinkedIn
Get a snoozed contact by LinkedIn username
GET
/
v1
/
snoozed-contacts
/
by-linkedin
/
{username}
Get a snoozed contact by LinkedIn username
Retrieves a snoozed contact by their LinkedIn username. Useful for checking if a specific LinkedIn profile is currently snoozed.
Path Parameters
- username (required, string): LinkedIn username to look up
Response
Returns the snoozed contact if found, or 404 if not found. Response fields:_id- Unique identifierteam- Team IDuser- User who snoozed the contactlinkedin_username- LinkedIn usernameexternal_contact_id- External CRM contact IDemail- Email addressphone_number- Phone numbersnooze_until- Date when snooze expirescreatedAt- Creation timestampupdatedAt- Last update timestamp
Authorizations
Team-scoped API key generated in the Salesfinity dashboard under Settings -> Connections & API. A missing or invalid key returns HTTP 403.
Path Parameters
LinkedIn username
Response
Snoozed contact retrieved successfully
Unique identifier
Team ID
Phone number
Snooze expiration date
Show child attributes
Show child attributes
Contact list ID
LinkedIn username
External CRM contact ID
Email address